Bug 1066409 - [vdsm] storage domain is reported as 'active' by host, even though its link under /rhev/data-center/SPUUID/ is missing
Summary: [vdsm] storage domain is reported as 'active' by host, even though its link u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.3.3
Assignee: Nir Soffer
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On: 1026697
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 10:44 UTC by rhev-integ
Modified: 2016-02-10 16:55 UTC (History)
12 users (show)

Fixed In Version: vdsm-4.13.2-0.14.el6ev
Doc Type: Bug Fix
Doc Text:
Previously, VDSM would report that a storage domain was active even although a link for that storage domain was not present in the /rhev/data-center/SPUUID directory. This would occur when the host was in a non-operational state and was able to connect to the storage pool but was not able to connect to any storage domains. Now, the logic for refreshing storage domain links has been revised so that those links will be created correctly for storage domains even under these circumstances.
Clone Of: 1026697
Environment:
Last Closed: 2014-05-27 08:57:22 UTC
oVirt Team: Storage
Target Upstream Version:
amureini: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0548 normal SHIPPED_LIVE vdsm 3.3.3 bug fix update 2014-05-27 12:56:53 UTC
oVirt gerrit 22467 None None None Never
oVirt gerrit 26349 None None None Never

Comment 2 Aharon Canan 2014-05-07 14:26:01 UTC
verified using is36

Verification steps:
1) Created a new shared DC with 2 host, created master domain, 1 host took SPM
2) Created second domain located on a different storage server
3) Blocked connectivity from HSM host to the non-master domain, host became non-operational, both domains remained 'active'.
While one of the pool's domain is unreachable to HSM host and it was non-operational, links of the 2nd domain under  /rhev/data-center/<pool-uuid>/ has disappeared.
4) Resumed connectivity from HSM host to non-master domain's storage server, host became 'up' and links were created again:

Comment 4 errata-xmlrpc 2014-05-27 08:57:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0548.html


Note You need to log in before you can comment on or make changes to this bug.